Skip to main content
`Ctrl`+`K`

# KSPPIPEGCRSetUnrollW

Set to `PETSC_TRUE` to use `KSPPIPEGCR` with unrolling of the w vector

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRSetUnrollW(KSP ksp, PetscBool unroll_w)

Logically Collective

## Input Parameters

- ksp - the Krylov space context

- unroll_w - use unrolling

## Options Database Key

- -ksp_pipegcr_unroll_w <bool> - use unrolling

## See Also

KSP: Linear System Solvers, `KSPPIPEGCR`, `KSPPIPEGCRSetTruncationType()`, `KSPPIPEGCRSetNprealloc()`, `KSPPIPEGCRGetUnrollW()`

## Level

intermediate

## Location

src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages